package com.zaojiao.app.core.common.di

import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Named
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object CommonModule {
    @Provides
    @Singleton
    @Named("timeout")
    fun provideTimeout(): Long {
        return 30 * 1000
    }

    @Provides
    @Singleton
    @Named("endpoint")
    fun provideEndpoint(): String {
        return "https://open.test.luojigou.vip"
    }
}